Name: squidGuard
Version: 1.2.0
Release: alt7

%define _dbhomedir %_localstatedir/%name

Summary: Filter, redirector and access controller plugin for squid
License: GPL
Group: System/Servers
Url: http://www.squidguard.org/

Packager: Vladimir Lettiev <crux@altlinux.ru>

Source0: http://ftp.teledanmark.no/pub/www/proxy/squidGuard/%name-%version.tar.bz2
Source1: %name.logrotate
Source2: %name-blacklists-20050516.tar.bz2
Source3: %name.conf
Source4: sg-utils-0.2.tar.gz
Source5: %name-ru.cgi

Patch1: %name-paths.patch
Patch2: http://ftp.ru.debian.org/debian/pool/main/s/squidguard/%name-%version-debian.patch.bz2

Requires: squid-server logrotate

BuildRequires: flex libdb4.3-devel perl-DBM

%description
squidGuard can be used to
- limit the web access for some users to a list of accepted/well known
  web servers and/or URLs only.
- block access to some listed or blacklisted web servers and/or URLs
  for some users. **)
- block access to URLs matching a list of regular expressions or words
  for some users. **)
- enforce the use of domainnames/prohibit the use of IP address in
  URLs. **)
- redirect blocked URLs to an "intelligent" CGI based info page. **)
- redirect unregistered user to a registration form.
- redirect popular downloads like Netscape, MSIE etc. to local copies.
- redirect banners to an empty GIF. **)
- have different access rules based on time of day, day of the week,
  date etc.
- have different rules for different user groups.
- and much more..

Neither squidGuard nor Squid can be used to
- filter/censor/edit text inside documents
- filter/censor/edit embeded scripting languages like JavaScript or
  VBscript inside HTML

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%configure \
	--with-sg-config=%_sysconfdir/squid/squidGuard.conf \
	--with-sg-logdir=%_var/log/squid \
	--with-sg-dbhome=%_dbhomedir

%__make
%__make test
%__chmod +x samples/*.cgi

%install
%__make DESTDIR=%buildroot install

%__mkdir_p %buildroot%_sysconfdir/logrotate.d
%__mkdir_p %buildroot%_dbhomedir

%__install -p -m 0644 %SOURCE1 %buildroot%_sysconfdir/logrotate.d/squidGuard
%__install -p -m 0644 %SOURCE3 %buildroot%_sysconfdir/squid/squidGuard.conf
%__install -p -m 0644 %SOURCE3 samples/default.conf
%__install -p -m 0755 %SOURCE5 samples/squidGuard-ru.cgi
%__mkdir_p %buildroot%_dbhomedir/{iplists,userlists,db}
%__tar xjCf %buildroot%_dbhomedir %SOURCE2
%__tar xzCf %buildroot%_bindir %SOURCE4

%post
squidGuard -d -c %_defaultdocdir/%name-%version/default.conf -C all 2>/dev/null
find %_dbhomedir/db/*/* -type f -name "*.db" -exec chmod 664 {} \;

%files
%doc samples/*.conf samples/*.cgi CHANGELOG
%doc doc/*.txt doc/*.html doc/*.gif samples/dest/blacklists.tar.gz
%_bindir/*
%config(noreplace) %_sysconfdir/squid/squidGuard.conf
%config(noreplace) %_sysconfdir/logrotate.d/*
%dir %_dbhomedir
%dir %_dbhomedir/db
%dir %_dbhomedir/iplists
%dir %_dbhomedir/userlists
%defattr(644, root, squid, 2775)
%_dbhomedir/db/*

%changelog
* Thu Jun 30 2005 Vladimir Lettiev <crux@altlinux.ru> 1.2.0-alt7
- fixed #7238

* Wed May 25 2005 Vladimir Lettiev <crux@altlinux.ru> 1.2.0-alt6
- fixed typo in blacklists
- added test target to build

* Mon May 16 2005 Vladimir Lettiev <crux@altlinux.ru> 1.2.0-alt5
- Initial release for Sisyphus
- Build with libdb4.3
- Fixed logrotate script
- Updated blacklists bases

* Sat Jul 24 2004 Vladimir Lettiev <crux@altlinux.ru> 1.2.0-alt4
- Updated BuildRequires (removed lynx, tcsh)
- Updated sg-utils:
    + Fixed bug in sg-mod: squidGuard ignore new entries in .db files
      added by sg-mod if .db was created by squidGuard.
      (reported by Alexander Markelov)
    + Fixed bug in sg-search: print internal error if dest section in
      squidGuard.conf contain no domains/urls.
- Updated blacklists bases

* Wed Jun 30 2004 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 1.2.0-alt3.1
- Updated BuildRequires

* Mon Jun 28 2004 Vladimir Lettiev <crux@altlinux.ru> 1.2.0-alt3
- Added new blacklists bases
	merged: squidGuard, MESD, rejik.ru, some domain/urls from Mike Lykov
- Added utilities:
	sg-search - search in squidGuard .db bases
	sg-mod    - modification of squidGuard .db bases
- Added squidGuard-ru.cgi - simple cgi-script in russian
- A lot of changes in spec, added post section to create .db files

* Sun Jun 20 2004 Vladimir Lettiev <crux@altlinux.ru> 1.2.0-alt2
- Add debian patch to fix build with libdb4.2
- Some spec cleanup

* Sat Jul 27 2002 Serge A. Volkov <vserge@altlinux.ru> 1.2.0-alt1
- First release for ALT Linux TEAM
- Spec cleanup

* Mon Apr 08 2002 Oliver Pitzeier <o.pitzeier@uptime.at>
- Updated the blacklists and put it into the right place
  I also descompress them
- Added a new "forbidden" script - the other ones are too
  old and don't work.

* Fri Apr 05 2002 Oliver Pitzeier <o.pitzeier@uptime.at>
- Update to version 1.2.0

* Fri Jun  1 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- cleaned up for rhcontrib

* Fri Oct 13 2000 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- initial build
